Skip to main content

Available Security Group

GET/api/v1/security_group/{vm_id}/detach/

Path parameters

  • vm_idPathstringrequired

    Path parameter vm_id.

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key used to authenticate the request

    • required
    • must be a non-empty string
    example{{api_key}}
  • locationQuerystringoptional

    Location identifier for the security group query

    • non-empty string
    • valid location code
    example{{location}}

Responses

200Successful response
object
codeinteger

HTTP status code indicating the result of the request

example200
  • must be an integer
  • value typically between 100 and 599
dataarray
errorsobject
messagestring

Human-readable status message for the response

exampleSuccess
  • Must be a non-empty string
  • Maximum length of 255 characters